package domain

type AlibabaWdkMarketingItempoolActivityCreatePeriodConfig struct {
	/*
	   每天的什么时间阶段搞活动,精确到秒单位 例如:03:00:00_05:00:00     */
	EveryDayPeriods *[]string `json:"every_day_periods,omitempty" `

	/*
	   星期几搞活动 [1:Mon;2:Tues;3:Wed;4:Thur;5:Fri;6:Sat;7:Sun]     */
	Weekdays *[]int32 `json:"weekdays,omitempty" `
}

func (s *AlibabaWdkMarketingItempoolActivityCreatePeriodConfig) SetEveryDayPeriods(v []string) *AlibabaWdkMarketingItempoolActivityCreatePeriodConfig {
	s.EveryDayPeriods = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreatePeriodConfig) SetWeekdays(v []int32) *AlibabaWdkMarketingItempoolActivityCreatePeriodConfig {
	s.Weekdays = &v
	return s
}
